@echo off

rem ****************************************
rem Notice that this command file depends on 
rem cmvc being there........... and available 
rem also that unzip (pkzip25) is available 
rem and that both are on your search path
rem ****************************************
 
 
set count=0
set rel=hsdev
set family=sov@sp6at15.hursley.ibm.com@9438
set zipfile=jformatut.zip
set zipfileFull=src\classes\sov\com\ibm\jvm\dump\ut\jformatut.zip
set unzip=c:\utilities\pkzip25
:loop
if "%0"=="" goto endparms
if 0 == %count% goto noshow
rem echo %count% %0
:noshow
if 1 == %count% goto parm1

rem look at rest of parms for options 
 
 
if /I "%0" EQU "extract" goto extractset
if /I "%0" EQU "ex" goto extractset
 
goto cont

:extractset
erase %basedir%\jformatut.*

rem ****************************************
rem Notice that this command file depends on 
rem cmvc being there........... and available 
rem also that unzip (pkzip25) is available 
rem and that both are on your search path
rem ****************************************
 
rem %basedir:~1,2%
rem goto fini
 
file -extract %zipfile% -release %rel% -family %family% -relative %basedir% -verbose
 
%unzip% -extract %basedir%\%zipfileFull% %basedir%
 
goto cont
 
:parm1
echo Its %0
if  "%0"=="?" goto syntax
if  "%0"=="-?" goto syntax
set basedir= %0
echo base directory is %basedir%

:cont
set /A count=%count%+1
shift
goto loop

:endparms
if 1 == %count% goto syntax
if EXIST %basedir% goto :existing
goto create

:existing
rem echo yep it exists
goto doUT 

:create
mkdir %basedir%
 

:doUT
 
echo issuing jformat... this may take a while ... so be patient!
jformat -d %basedir%\jformatut.sdff -i %basedir%\jformatut.in 1>%basedir%\jformatut.now 2>&1
echo jformat finished  ... now onto windiff ....
windiff %basedir%\jformatut.now %basedir%\jformatut.bsf
goto fini

:syntax
echo *
echo * syntax of jformatut is: 
echo * 
echo *  jformatut basedir [options]
echo *
echo *   where ...
echo *         basedir is where the jformatut required files are
echo *         options:
echo *            extract/ex means that the required files (should) be extracted from cmvc 
echo * 
echo * NOTE: THE INTENT IS THAT THIS BAT FILE IS RUN UNDER THE DIRECTORY THAT CONTAINS
echo *       jformat.exe OR THAT THE jformat UNDERGOING UNIT TEST IS TO BE FOUND VIA THE
echo *       PATH.
echo * 
echo *       IF UNIT TEST IS PASSED AND THE OUTPUT FROM THE UNIT TEST IS DIFFERENT FROM 
echo *       THE PREVIOUS (EITHER DUE TO NEW FUNCTION BEING ADDED OR TO FUNCTION BEING 
echo *       FIXED) THEN jformatut.bsf (hiddin in jformatut.zip) SHOULD BE REPLACED WITH
echo *       jformatut.now FOUND IN THE basedir. RENAME REQUIRED.  
echo * 
echo *       THERE IS A HIDDEN SETTING "SET UNITTEST=anything" WHICH IS QUERIED BY DIS 
echo *       OS AND DEACTIVATES TIMESTAMPS - ALSO THE exec COMMAND WILL NOT PRINT OUT
echo *       INPUT FILE NAME - THIS STOPs FALSE DIFFERENCES SHOWING UP ON WINDIFF.
echo *         


:fini 



